deciBel API
Tracks
Copy Page
deciBel API
Authentication
Check email or profile URL availability
POST
Login with email and password
POST
Refresh access token
POST
Logout current session
POST
Logout current user from all active sessions
POST
Verify email
POST
Resend verification email
POST
Start password recovery
POST
Register with email and password
POST
Reset password using token
POST
Trigger Google login
GET
Google Callback (Internal)
GET
exchange oauth token with Decibel
POST
Account Security
Change logged-in user password
Add additional email
Set primary email
Users
Update User permalink
update user Role
Get public profile by username
start Email change
verify Email change
Get current user profile
Update current user profile
Update privacy settings
Update account tier
Update social links
Update profile or cover images
Get user listening history
Get suggested users to follow
Get public profile by user ID
Get all tracks uploaded by a user
Get all public playlists created by a user
Followers
Follow a user
Unfollow a user
Get followers
Get following
Block
Unblock a user
Block a user
Get list of blocked users
Tracks
Get all tracks of current user
GET
Get track metadata user
GET
Get genres
GET
Get track status
GET
Get TrackPeaks
GET
publishTrack
POST
getSecretLink
GET
retry processing
POST
Upload a new track
POST
Get track metadata
GET
Update track metadata
PATCH
Delete a track
DELETE
Increment play count
POST
Mark a track as completely listened to
POST
Mock offline download for Pro users
GET
Get all tracks of another user
GET
Delete Track
DELETE
getSecretLink Copy
GET
Moderation
Report a track
Report a comment
View a list of reports (Admin only)
View a specific report (Admin only)
Update report status (Admin only)
Suspend a user account (Admin only)
Get platform wide metrics (Admin only)
Playlists
Get playlist with tracks Copy
Create playlist or album
Get playlist with tracks
Update playlist metadata
Delete a playlist
Add track to playlist
Reorder tracks inside a playlist
Get playlist secret link
Get HTML iframe embed code for a playlist
Remove track from playlist
Engagement
Like a track
Remove like from a track
Get users who liked a track
Repost a track
Remove a repost
Get users who reposted a track
Add a comment to a track
Get comments for a track
Discovery
Get followed users feed
Get popular tracks
Global search
Resolve a public permalink URL to an internal entity ID
Generate a radio station based on a genre
Generate a radio station based on artist similarities
Generate a radio station based on user's likes
Conversations
Get user's direct messages threads
Start a new DM thread
Get messages within a conversation thread
Send a message in a conversation
Notifications
Get user notifications
Mark all unread notifications as read
Get user notification preferences
Update notification preferences
Get quick badge unread count for UI
Register mobile device token for push notifications
Subscriptions
Initiate a Stripe checkout session
Stripe webhook listener
deprecated
Login with Google
Register with Google
Schemas
Status
Google oauth token
UserUpdateResponse
Untitled Schema
TrackPeaksDTO
publishTrackResponse
LoginResponse Copy
PaginatedTracksResponse
ErrorResponse
EmptyObject
MessageResponse
DeviceType
UserInfo
PublicTier
PlaylistType
CheckUserErrorField
DeviceInfo
RegisterLocalRequest
RegisterGoogleRequest
CheckUserRequest
CheckUserAvailableResponse
CheckUserUnavailableResponse
LoginLocalRequest
LoginGoogleRequest
AuthUser
LoginResponse
RefreshTokenRequest
RefreshTokenResponse
VerifyEmailRequest
ForgotPasswordRequest
ResetPasswordRequest
ResetLoggedInPasswordRequest
AddNewEmailRequest
UpdatePrimaryEmailRequest
PrivateProfile
PrivateSocialLinks
PrivacySettings
MyStats
MeResponse
UpdateMeRequest
UpdatePrivacyRequest
UpdateTierRequest
UpdateSocialLinksRequest
UpdateImagesJsonRequest
PublicProfileData
PublicProfileSocialLinks
PublicStats
PublicUserProfileResponse
FollowResponse
FollowerUser
PaginatedFollowersResponse
TrackArtist
TrackArtistWithAvatar
TrackResponse
TrackUploadResponse
UpdateTrackRequest
CreatePlaylistRequest
PlaylistOwner
PlaylistTrack
PlaylistResponse
AddTrackToPlaylistRequest
ReorderTracksRequest
SecretLinkResponse
EmbedResponse
LikeResponse
RepostResponse
CreateCommentRequest
CommentUser
Comment
PaginatedCommentsResponse
TrendingTrack
SearchUser
SearchTrack
SearchPlaylist
SearchType
SearchResponse
FeedTrack
PaginatedFeedResponse
ResourceResolutionResponse
ConversationResponse
PaginatedConversationsResponse
MessageObject
CreateMessageRequest
PaginatedMessagesResponse
ConversationCreatedResponse
NotificationObject
PaginatedNotificationsResponse
NotificationSettings
UnreadCountResponse
DeviceTokenRequest
ReportRequest
UpdateReportRequest
ReportResponse
SuspendUserRequest
AnalyticsResponse
CheckoutRequest
CheckoutResponse
Tracks
Copy Page
getSecretLink
Developing
GET
/tracks/{trackId}/secret-link
Try it
Run in Apidog
Run in Apidog
Request
Path Params
Generate Code
Responses
🟢
200
Success
application/json
Generate Code
Body
Generate Code
Request
Request Example
Shell
JavaScript
Java
Swift
cURL
cURL-Windows
Httpie
wget
PowerShell
curl
--location
--request
GET
'/tracks//secret-link'
Response
Response Example
{
"secretLink"
:
"string"
}
Modified atÂ
2026-03-10 13:01:10
Previous
publishTrack
Next
retry processing